/*
 * Created on 2004-11-20
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.core.internal.mmpmodel;

import pl.zalewski.mikolaj.symbdev.core.mmpmodel.ILanguage;

/**
 * @author mikolaj
 */
public class Language implements ILanguage {

    public Language(String code) {
        fCode=code;
    }

    public String getCode() {
        return fCode;
    }
    
    public boolean equals(Object o)
    {
        if (!(o instanceof Language))
            return false;
        return fCode.equals(((Language)o).fCode);
    }
    
    public int hashCode() {
        return fCode.hashCode();
    }
    
    String fCode;
}
